Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class ElGamalKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.ElGamalKeyParameters

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  ElGamalPrivateKeyParameters, ElGamalPublicKeyParameters

    public class ElGamalKeyParameters

extends AsymmetricKeyParameter

Constructor Summary
`protected` `ElGamalKeyParameters(boolean isPrivate, ElGamalParameters params)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`ElGamalParameters` `getParameters()`
`int` `hashCode()`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElGamalKeyParameters

    protected ElGamalKeyParameters(boolean isPrivate,
                                   ElGamalParameters params)

Method Detail

### getParameters

    public ElGamalParameters getParameters()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Bouncy Castle Cryptography Library 1.45